<?php

/*
___________________________________________
Подарки Для JohnCms 3.хх
Автор - FlySelf
Сайт поддержки - http://o5we.ru (форум)
ICQ - 629292
___________________________________________

*/

define('_IN_JOHNCMS', 1);
$headmod = 'present';
$textl = 'Подарки';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
if ($user_id) {
    $req = mysql_query("SELECT `id`, present FROM `present` WHERE `id`='$id' LIMIT 1");
    if (!mysql_num_rows($req)) {
        echo display_error('Подарок не найден!');
        require_once ("../incfiles/end.php");
        exit;
    }
    $res = mysql_fetch_assoc($req);
    switch ($act) {
        case 'say':
            $old = ($rights > 0 || $dostsadm = 1) ? 10:
            30;
            if ($datauser['lastpost'] > ($realtime - $old))
                $error[] = '<b>Антифлуд!</b> Вы не можете так часто отправлять подарок. Порог ' . $old . ' секунд';
            $text = trim($_POST['msg']);
            if (empty($text))
                $error[] = 'Вы не ввели комментарий';
            if ($error) {
                $error[] = '<a href="komm_' . $id . ',0">Повторить</a>';
                echo display_error($error);
            }
            else {
                if ($_POST['msgtrans'])
                    $text = trans($text);
                $text = mysql_real_escape_string(mb_substr($text, 0, 500));
                mysql_query("INSERT INTO `presentkomm` SET `vr`='$realtime', `userid`='$user_id', `idus`='$id', `text`='$text'");
                $komm = $datauser['komm'] + 1;
                mysql_query("UPDATE `users` SET `komm`='$komm', `lastpost` = '$realtime' WHERE `id`='$user_id' LIMIT 1");
                header('location: komm_' . $id . ',' . 0);
            }
            break;
        case 'delpost':
            $post = isset($_GET['post']) ? abs(intval($_GET['post'])):
            false;
            if ($rights >= 6 && $post) {
                if (isset($_GET['yes'])) {
                    mysql_query("DELETE FROM `presentkomm` WHERE `id`='$post' LIMIT 1");
                    header("location: komm_$id,0");
                }
                else {
                    echo '<div class="rmenu"><p>Вы действительно хотите удалить комментарий?<br/><a href="komm_del_' . $id . ',' . $post . ',yes">Удалить</a> | <a href="komm_ ' . $id . ',0">Отмена</a></p></div>';
                }
            }
            break;
        default:
            echo '<div class="phdr"><b>Комментарии к подарку</b></div><div class="menu"><img src="' . $home . '/images/present/' . $res['present'] . '" alt="Подарок"/></div>';
            echo '<div class="gmenu">Текс - max. 500<br/><form action="' . $home . '/present/komm_' . $id . ',say" method="post"><textarea cols="20" rows="2" name="msg"></textarea><br/>';
            if ($set_user['translit'])
                echo '<input type="checkbox" name="msgtrans" value="1" /> Транслит сообщения<br/>';
            echo '<input type="submit" title="Нажмите для отправки" name="submit" value="Отправить"/></form></div>';
            $total = mysql_result(mysql_query("SELECT COUNT(*) FROM `presentkomm` WHERE `idus`='$id'"), 0);
            if ($total) {
                $req = mysql_query("SELECT `presentkomm`.*, `presentkomm`.`id` AS `pr_id`, `users`.`name`, `users`.`rights`, `users`.`lastdate`, `users`.`sex`, `users`.`status`, `users`.`datereg`, `users`.`id` FROM `presentkomm` LEFT JOIN `users` ON `presentkomm`.`userid` = `users`.`id` WHERE `presentkomm`.`idus`='$id' ORDER BY `vr` DESC LIMIT $start, $kmess");
                while ($res = mysql_fetch_assoc($req)) {
                    $subtext = '';
                    echo ($i % 2) ? '<div class="list2">' : '<div class="list1">';
                    if (!$res['name'])
                        $res['name'] = 'USER_DEL';
                    $text = ' <span class="gray">(' . date("d.m.y / H:i", $res['vr'] + $set_user['sdvig'] * 3600) . ')</span>';
                    $post = checkout($res['text'], 1, 1);
                    if ($set_user['smileys'])
                        $post = smileys($post, $res['rights'] >= 1 ? 1 : 0);
                    if ($rights >= 6)
                        $subtext = '<a href="komm_del_' . $id . ',' . $res['pr_id'] . '"><span class="red">Удалить</span></a>';
                    echo show_user($res, 1, 0, $text, $post, $subtext);
                    echo '</div>';
                    ++$i;
                }
            }
            else {
                echo '<div class="menu">Список пуст.</div>';
            }
            echo '<div class="phdr">Всего: ' . $total . '</div>';
            if ($total > $kmess) {
                echo '<div class="list1"><p>' . navigation('komm_' . $id, $start, $total, $kmess) . '</p>';
                echo '<p><form action="komm_' . $id . ',0" method="post"><input type="text" name="page" size="2"/><input type="submit" value="К странице &gt;&gt;"/></form></p></div>';
            }
            echo '<div class="list2"><a href="' . $home . '/present/?">Мои подарки</a></div>';
    }
}
else {
    echo display_error('Только для зарегистрированных посетителей');
}
require_once ("../incfiles/end.php");

?>